Select count(key_id)
from patients
where key_id in 
(
SELECT DISTINCT Evals.Patient_ID
FROM Evals INNER JOIN
Patients ON Patients.Key_ID = Evals.Patient_ID
WHERE (Evals.Location_ID = 1) AND (Patients.Center_ID = 1) and (Patients.key_id
< 820)
        GROUP BY Evals.Patient_ID
        HAVING      (COUNT(Evals.Patient_ID) > 0)
)